IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_1_modify]') AND type = 'P')
DROP PROCEDURE [dbo].[order_1_modify]
GO

-- 生成时间:2017-11-30 19:43:03 by ebs-core  
CREATE  procedure order_1_modify(
@cmpid int,
@branchid int,
@userdpid int,
@useruid int,
@userotid int,
@jbid bigint,
@ordid bigint, @sys_nouse_v1 int ) 
as  
begin  
set nocount on  
declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 declare @operation varchar(50)
declare @errorinfo nvarchar(4000) 
 set @operation = 'continue' 
set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 exec order_1_modify_before @cmpid,@branchid,@userdpid,@useruid,@userotid,@jbid,@ordid,@operation output,@errorinfo output   
 if (@operation='continue') 
 begin
 set @nonedate = @nonedate 
 exec order_1_modify_after @cmpid,@branchid,@userdpid,@useruid,@userotid,@jbid,@ordid 
 select 'ok' operation, '' errorinfo 
end  else 
begin
select @operation operation, @errorinfo errorinfo  
end
exec drop_temp_table '#new' exec drop_temp_table '#old' set nocount off 
end